<?php 

/**
* testimonial Post Type
*/
if(!function_exists('dominie_testimonial_post_type')){
	function dominie_testimonial_post_type(){
		$labels = array(
			'name'  				=> esc_html__( 'Testimonial', 'dominie' ),
			'singular_name'			=> esc_html__( 'testimonial', 'dominie' ),
			'menu_name'				=> esc_html__( 'testimonial', 'dominie' ),
			'parent_item_colon'		=> esc_html__( 'Parent testimonial', 'dominie' ),
			'all_items'				=> esc_html__( 'All testimonial', 'dominie' ),
			'view_item'				=> esc_html__( 'View testimonial', 'dominie' ),
			'add_new_item'        	=> esc_html__( 'Add New testimonial', 'dominie' ),
			'add_new'             	=> esc_html__( 'New testimonial', 'dominie' ),
			'edit_item'           	=> esc_html__( 'Edit testimonial', 'dominie' ),
			'update_item'         	=> esc_html__( 'Update testimonial', 'dominie' ),
			'search_items'        	=> esc_html__( 'Search testimonial', 'dominie' ),
			'not_found'           	=> esc_html__( 'No testimonial found', 'dominie' ),
			'not_found_in_trash'  	=> esc_html__( 'No testimonial found in Trash', 'dominie' )
		);
		$args = array(
			'labels'			=> $labels,
			'public'			=> true,
			'publicly_queryable'=> true,
			'show_in_menu'		=> true,
			'show_in_admin_bar'	=> true,
			'can_export'		=> true,
			'has_archive'		=> false,
			'hierarchical'		=> false,
			'menu_icon'			=> 'dashicons-groups',
			'supports'			=> array('title', 'editor', 'thumbnail'),
			'taxonomies'        => array( 'category', 'post_tag'),
		);

		register_post_type( 'testimonial', $args );
	}
}
add_action( 'init', 'dominie_testimonial_post_type');


//testimonial metabox
if(!function_exists('dominie_testimonial_metabox')){
	function dominie_testimonial_metabox(){

		// Start with an underscore to hide fields from custom fields list
		$prefix = '__dominie__';

		/**
		* Initiate the metabox
		*/

		$cmb = new_cmb2_box( array(
			'id'			=> 'dominie_testimonial_metabox',
			'title'			=> esc_html__( 'Our Testimonial Metabox', 'dominie' ),
			'object_types'	=> array('testimonial'), // post type
			'context'		=> 'normal',
			'priority'		=> 'high',
			'show_names'	=> true
		) );
		// custom field start 
		$cmb->add_field( array(
			'name'			=> esc_html__( 'Image', 'dominie' ),
			'desc'			=> esc_html__( 'Add Your Image', 'dominie' ),
			'id'			=> $prefix . 'testimonial_image',
			'type'			=> 'file',
		) );
		$cmb->add_field( array(
			'name'			=> esc_html__( 'Designation', 'dominie' ),
			'desc'			=> esc_html__( 'Add Your Designation', 'dominie' ),
			'id'			=> $prefix . 'testimonial_designation',
			'type'			=> 'text',
		) );
		// custom field start 
		$cmb->add_field( array(
			'name'			=> esc_html__( 'Video', 'dominie' ),
			'desc'			=> esc_html__( 'Add Your Video URL', 'dominie' ),
			'id'			=> $prefix . 'testimonial_video',
			'type'			=> 'text',
		) );

	}
}
add_action( 'cmb2_admin_init', 'dominie_testimonial_metabox' );